Subject: Re: bug#49784: 27.2; mouse-2 error with "No cross-reference here"

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 30 Jul 2021 21:49:03 +0200

Eli Zaretskii <[email-masked]> writes:

>> ;; The doc string is meant to explain what buttons do.
>> (defun help-follow-mouse ()
>>   "Follow the cross-reference that you click on."
>>   (interactive)
>>   (error "No cross-reference here"))
>> 
>> I guess the point is to...  not say
>> 
>> Buffer is read-only: #<buffer *Help*>
>> 
>> to be helpful?  It might just confuse more than it helps.
>
> Perhaps the comment before the function hints on why this was done
> that way.  IOW, if this binding didn't exist, what would C-h show for
> mouse-2, and how?

It'd say

It is bound to <mouse-2>.

(mouse-yank-primary CLICK)

like in any other buffer it's not bound.  I understand that the binding
was done to be helpful, but I'm just not sure that it's helpful to make
*Help* buffers behave weirdly.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no